| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::_MatrixImp< TYP > Class Template Reference

`#include <NTupleItems.h>`

Inheritance diagram for NTuple::_MatrixImp< TYP >:

[legend]
Collaboration diagram for NTuple::_MatrixImp< TYP >:

[legend]
List of all members.

## Detailed Description

### template<class TYP>
class NTuple::_MatrixImp< TYP >

Concrete class discribing a matrix column in a N tuple.

Definition at line 211 of file NTupleItems.h.

## Public Types
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy.
## Public Member Functions
| _MatrixImp (INTuple *tup, const std::string &name, const std::type_info &typ, const std::string &index, long ncol, long nrow, TYP min, TYP max, TYP def)
| Standard Constructor.
virtual | ~_MatrixImp ()
| Standard Destructor.
virtual void | setDefault (const TYP val)
| Set default value.
virtual const ItemRange & | range () const
| Access the range if specified.
virtual long | size () const
| Size of entire object.
virtual long | ndim () const
| Dimension.
virtual long | dim (long i) const
| Access individual dimensions.

## Member Typedef Documentation

template<class TYP>

typedef Range<TYP> NTuple::_MatrixImp< TYP >::ItemRange

Set type definition to make life more easy easy.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 215 of file NTupleItems.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::_MatrixImp< TYP >::_MatrixImp | ( | INTuple * | tup,
|  | const std::string & | name,
|  | const std::type_info & | typ,
|  | const std::string & | index,
|  | long | ncol,
|  | long | nrow,
|  | TYP | min,
|  | TYP | max,
|  | TYP | def |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 217 of file NTupleItems.h.

References NTuple::_Matrix< TYP >::m_rows.

    00219     : _DataImp<TYP>(tup, name, typ, index, nrow*ncol, min, max, def)    {
    00220       this->m_rows = nrow;
    00221     }

template<class TYP>

virtual NTuple::_MatrixImp< TYP >::~_MatrixImp | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 223 of file NTupleItems.h.

    00223 {                                     }

## Member Function Documentation

template<class TYP>

virtual void NTuple::_MatrixImp< TYP >::setDefault | ( | const TYP | val | ) | `[inline, virtual]`

Set default value.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 227 of file NTupleItems.h.

References NTuple::_DataImp< TYP >::m_def.

    00227 { this->m_def = val;                  }

template<class TYP>

virtual const ItemRange& NTuple::_MatrixImp< TYP >::range | ( |  | ) | const`[inline, virtual]`

Access the range if specified.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 229 of file NTupleItems.h.

References NTuple::_DataImp< TYP >::m_range.

    00229 { return this->m_range;               }

template<class TYP>

virtual long NTuple::_MatrixImp< TYP >::size | ( |  | ) | const`[inline, virtual]`

Size of entire object.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 231 of file NTupleItems.h.

References NTuple::_DataImp< TYP >::m_length.

    00231 { return this->m_length*sizeof(TYP);  }

template<class TYP>

virtual long NTuple::_MatrixImp< TYP >::ndim | ( |  | ) | const`[inline, virtual]`

Dimension.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 233 of file NTupleItems.h.

    00233 { return 2;                           }

template<class TYP>

virtual long NTuple::_MatrixImp< TYP >::dim | ( | long | i | ) | const`[inline, virtual]`

Access individual dimensions.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 235 of file NTupleItems.h.

    00235                                              {
    00236       return (this->hasIndex()) ?
    00237         ((i==0) ?
    00238          this->m_rows : this->m_length/this->m_rows) : ((i==1) ? this->m_length/this->m_rows : this->m_rows);
    00239     }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTupleItems.h